import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;


public class TextCanvas extends ScaleCanvas {
    Manager M; 
    public static String[] MESSAGE=new String[16];

    public TextCanvas() {
	for(int i=0;i<16;++i) MESSAGE[i]=new String("");
	MESSAGE[0]="message window";
	MESSAGE[1]="when the movie runs";
	MESSAGE[2]="into about the polygons";
	MESSAGE[3]="is printed here.";
    }

    public static void clear() {
	clear("");
    }
    public static void clear(String S) {
	for(int i=0;i<16;++i) MESSAGE[i]=S;
    }


   public void paint(Graphics g2) {
      Graphics2D g=(Graphics2D) g2;
      g.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
      drawBG(g);
      drawInstructions(g);
      drawMessage(g);
   }
    public void drawBG(Graphics2D g) {
	g.setColor(new Color(0,80,160));
	g.fillRect(0,0,getWidth(),getHeight());
    }


    public void drawInstructions(Graphics2D g) {
	g.setFont(new Font("Helvetica",Font.PLAIN,13));
	g.setColor(new Color(50,0,100));
	g.fillRect(0,0,300,99);
	g.setColor(Color.white);
	g.drawRect(0,0,300,100);
	g.drawString("keyboard controls",5,15);
	g.drawString("z: zoom in",5,30);
	g.drawString("x: point select",95,30);
	g.drawString("c: zoom out",200,30);
	g.drawString("b: print invariants",5,45);
	g.drawString("v: cycle vertices",135,45);
	g.drawString("word meaning",5,80);
	g.drawString("1: heat map",5,95);
	g.drawString("2: dual heat",85,95);
	g.drawString("3: penta",160,95);
	g.drawString("4: dual penta",215,95);
    }


    public void drawMessage(Graphics2D g) { 
      g.setFont(new Font("Helvetica",Font.PLAIN,14));
      for(int i=0;i<7;++i) {
         g.drawString(MESSAGE[i],5,123+16*i);
      }
    }
}

