


public class DocumentPoly {

    public DocumentPoly() {}


    public static void info(Manager M) {
        String S="display panel: poly";

	S=S+"\n\nThis feature activates the display and control of the auxiliary polygons which we calll DOMAIN and CONTAINER.  Once you turn on this feature, you need to click on a piece using the middle mouse button (or the key x) to see the auxiliary polygons appear.  Otherwise they are invisible.  This is the most important feature of the program so you should focus your attention in learning how it works.";

	S=S+"\n\n Generally speaking, the DOMAIN polygon is used for all the tests, and the CONTAINER polygon is used as the target in the confiner/excluder tests.  When you have activated a polygon, you will see three new objects on the picture window:";

	S=S+"\n\n1. The DOMAIN";
	S=S+"\n\n2. The image of the DOMAIN under the primary map associated to the clicked piece.";
	S=S+"\n\n3. The CONTAINER.  Sometimes the DOMAIN image is contained in the CONTAINER and sometimes it is disjoint from it.  Such properties are verified, respectively, using the confiner and the excluder tests.";  

	S=S+"\n\n When the polygon feature turns on, an auxiliary display panel appears. The display panel lets you specify which of the three basic objects are displayed and how they are colored.  if you want to recolor the objects you need to open up the PLOT DETAILS popup window and select a color.  As an exercise, try turning the DOMAIN bright blue.  I like to use semi-transparent colors so that one can see the Julia set through the domain.  You can select such colors using the color wheel.";

	S=S+"\n\nUnless you specify otherwise (in the SELECT POLY popup window) the DOMAIN coincides with the partition piece you have selected.  Howwever, you can change the DOMAIN as you like, using the keys";

	S=S+"\n\n 1 2 3 4 5 6 7 8 9 0 a b + -";

S=S+"\n\n  To learn how to do this, open up the SELECT POLY popup window and read the instructions.";


S=S+Documentation.gaussAction();

        Documentation.explain(M,S);
    }


    public static void coordInfo(Manager M) {
	String S="Coordinate Display Window\n\nThis window displays the coordinates of the auxiliary polygons.  You can display the coordinates for either DOMAIN or CONTAINER, and you can display the coordinates either as algebraic integers or as decimal approximations.  Usually the points are defined over Z[\u03D5] but sometimes the number lies in the larger ring Z[1/2,\u03D5,\u03A8], where \u03A8 =(1+\u221A 13)/2.  Here is information about the genneral setup.";

	S=S+general();
	Documentation.explain(M,S);
    }


    public static void polyToggle(Manager M) {
	String S="DOMAIN/CONFINER toggle";
	S=S+"\n\nThis lever determines whether your modifications effect DOMAIN or CONTAINER.  Here are details about the general setup:";
	S=S+general();
	Documentation.explain(M,S);
    }

    public static void containerToggle(Manager M) {
	String S="automatic change of CONTAINER";
	S=S+"\n\nThis lever determines whether or not your selection of new partition pieces changes CONTAINER.  Typically you want this to happen.  Here are details about the general setup.";
	S=S+general();
	Documentation.explain(M,S);
    }

    public static void containerNumber(Manager M) {
	String S="number of points in CONTAINER";
	S=S+"\n\nThis lever determines how many vertices CONTAINER has.  If you change the number to a smaller one, the later vertices are deleted.  If you change the value to a larger one, the new vertices are initially set to zero. You have to make clocks on the picture window to relocate these new vertices.  Here are details about the general setup.";

	S=S+general();
	Documentation.explain(M,S);
    }


    public static void domainToggle(Manager M) {
	String S="automatic change of DOMAIN";
	S=S+"\n\nThis lever determines whether or not your selection of new partition pieces changes DOMAIN.  Typically you want this to happen.  Here are details about the general setup.";
	S=S+general();
	Documentation.explain(M,S);
    }

    public static void domainNumber(Manager M) {
	String S="number of points in DOMAIN";
	S=S+"\n\nThis lever determines how many vertices DOMAIN has.  If you change the number to a smaller one, the later vertices are deleted.  If you change the value to a larger one, the new vertices are initially set to zero. You have to make clocks on the picture window to relocate these new vertices.  Here are details about the general setup.";

	S=S+general();
	Documentation.explain(M,S);
    }


    public static void selectMode(Manager M) {
	String S="point section mode";
	S=S+"\n\nThis level toggles the way you can specify points of DOMAIN or CONTAINER.  In both modes, you use the keys 123... on the picture canvas to move the point. In the first mode, the computer pics an approximation which lies in the number ring Z[\u03D5].  In the second mode, you specify a point in Z[\u03D5] by entering the coefficients with the keyboard.  Here are details about the general setup.";

	S=S+general();
	Documentation.explain(M,S);
    }


    public static void coerceInfo(Manager M) {
        String S="point selection details";

	S=S+"\n\nWhen you select a point on the picture screen, using the keys 123..., the computer (in most cases) coerces the point to lie in the ring Z[\u03D5].  These controls let you specify to some extent how this coercion is done.  There are two modes, and you can switch back and forth between them using the 'select mode' lever.";

	S=S+"\n\nApproximation mode: The computer first finds the point of the partition which is closest to the clicked point. If this partition point is close enough, as specified by the precision, then this is the point is selected. Otherwise, the computer finds the point with Z[\u03D5] coordinates which are lexicographically least in some sense.  That is, we try to keep the coefficients as small as possible. The leftmost setting gives an (enormous) tolerance of 100, so that essentially you are selecting the nearest partition point with this option.  Subsequent settings give smaller tolerances.  The rightmost setting gives such a smaller tolerance that effectively you are selecting the point you click on. However, the computer is somewhat sluggish with this option.  The intermediate options are better.";

	S=S+"\n\nmanual mode: In this mode, you enter 4 numbers (a,b,c,d) into the fields using the keyboard. If you want to change the sign of the number, use the minus key. After you have entered the numbers, a keyboard click of key-k on the picture screen will cause the kth vertex of the relevant polygon to move to the point with coordinates (a + b\u03D5,c+d\u03D5).";

	S=S+"\n\nHere are details about the general setup.";

	S=S+general();

        Documentation.explain(M,S);
        
    }

    public static void coordLock(Manager M) {
        String S="point selection details";

	S=S+"\n\nWhen you select a point on the picture screen, using the keys 123..., the computer picks an approximation, as explained in the other parts of this documentation.  This lever allows you to lock the x or y value so that the click only effects one coordinate or the other.  This is useful for fine-tuning your choices. Here are details about the general setup.";

	S=S+general();

        Documentation.explain(M,S);
        
    }



    public static void polyPreset(Manager M) {
        String S="preset regions";

	S=S+"\n\nWe have stored a few choices for DOMAIN and CONTAINER which come up commonly.  By clicking on the bottons in this window you automatically choose these domains.  The first 4 options select a CONTAINER and the last one selects a DOMAIN.  Here are some details about the general setup.";

	S=S+general();

        Documentation.explain(M,S);
        
    }


    public static void polyDisplay(Manager M) {
        String S="auxiliary polygon display";
	S=S+"\n\nThis auxiliary control panel comes up when you turn on the 'polygons' feature on the main display panel. If you don't know what the `polygons' feature is about, you should read that documentation first.  This control panel lets you recolor the auxiliary polygons DOMAIN and CONTAINER and the image of DOMAIN under the primary map associated to the piece.  You need to open up the PLOT DETAILS popup to get a new color from the color wheel.  As an exercise, try turning DOMAIN red and CONTAINER black.";
        Documentation.explain(M,S);
        
    }



    public static void displayInfo(Manager M) {
        String S="display toggle";

	S=S+general();

	S=S+"\n\nThe left button here toggles whether or not X is displayed.  The right button toggles whether or not Y is displayed.";


        Documentation.explain(M,S);
        
    }

    public static void shadeInfo(Manager M) {
        String S="polygon shader";

	S=S+general();
        S=S+"\n\nThis feature controls whether or not you shade in the polygon after you select it.";

        Documentation.explain(M,S);
        
    }

    public static void imageInfo(Manager M) {
        String S="polygon image";
	S=S+general();

	S=S+"\n\nThis feature controls whether or not you also see the image f(X).";

        Documentation.explain(M,S);
       
    }


    public static String general() {

	String S="\n\nBefore reading further.  Turn on the `polygon' feature on the main display and then click the middle mouse button (or key x) over one of the pieces of the partition.  Clicking over one of the small rectangular pieces would be especially good.";

S=S+"\n\nThe program keeps track of two polygonal regions, DOMAIN and CONTAINER.  Letting X be DOMAIN and Y be CONTAINER, we are generally trying to check one of two things:";

	S=S+"\n\nf(X) is contained in Y.";
	S=S+"\n\nf(X) is disjoint from Y.";
	S=S+"\n\nHere f is the map displayed on the map selector.  You should read the documentation for the map selector if you don't know what this means.";

	S=S+"\n\nGenerally speaking, when you select a new piece of the partition, DOMAIN is set equal to that piece and CONTAINER is set to some other region that is related to the proof in the monograph.  Here f is one of the primary maps.  This control panel helps you modify DOMAIN and CONTAINER.";

	S=S+"\n\nIn most cases, when you click on a partition piece, DOMAIN and CONTAINER are set to precisely the regions needed for the proof in the monograph. On several occasions, you have to set one or the other pieces yourself.   This control panel gives you some tools for making changes to DOMAIN and CONTAINER.";

	S=S+"\n\nThe vertices of DOMAIN and CONTAINER are numbered 1,2,3,...  You modify the location of a vertex by clicking the same numbered key over the picture panel.  We always want the modified vertices to lie in a certain number field, so the program takes  near approximation to the point where the key is clicked.  You can control the nature of this approximation.";


	return(S);
    }

}
