import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;



/**this class lets you select the map.*/

public class HandleProof {
    int X,Y; //location of control panel 
    ControlPanel MAIN;
    SelectInteger[] S=new SelectInteger[8];
    Lever PIECE;
    int[] CHOICE=new int[9];
    boolean SHOWPIECE;

    public HandleProof(int x,int y) {
	X=x;
	Y=y;
	setPanels();
	int[] L={6,4,8,6,2,7};
	for(int i=0;i<6;++i) S[i]=new SelectInteger(X+110,Y+21,40,20,0,0,L[i],1);
	PIECE=new Lever(X+83,Y+95,0,8);
	SHOWPIECE=false;
    }

    public void setPanels() {
	Color[] C0={new Color(0,100,100),Color.white,Color.white,Color.white,new Color(180,180,180)};
	String[] MainString={"outline","Gauss","Cantor","middle","Anosov","algebra","proof"};
	int[] MainState={1,0,0,0,0,0,0};
         MAIN=new ControlPanel(C0,MainString,MainState,6);
	 MAIN.mode=0;
    }


    public void render(Graphics2D g) {
	g.setColor(new Color(0,60,60));
	g.fillRect(X,Y,183,110);
	g.setColor(Color.white);
	g.drawRect(X,Y,183,110);
	g.setColor(Color.white);
	MAIN.render(g,X,Y,80);	
        int k=MAIN.mode;
	Integer I1=new Integer(S[k].val+1);
	Integer I2=new Integer(S[k].max+1);
	String s1="step "+I1.toString();
	String s2=" out of "+I2.toString();
	g.drawString(s1+s2,X+100,Y+15);
	S[k].render(g,new Color(0,200,200),Color.white,new Color(0,0,0,0));
	if(SHOWPIECE==true) PIECE.render2(g,"piece choice",new Color(0,120,120));
    }

    public int process(Point X,Manager M) {
	int d=MAIN.switchMode(X);
	if(d==99) return(99);
	if(d!=-1) return(100+d);
	int k=MAIN.mode;
	S[k].modify(X);
	if(S[k].isModified(X)==1) return(S[k].val);
	if(SHOWPIECE==true) forcePiece(X,M);
	return(-1);
    }

    public void forcePiece(Point X,Manager M) {
	int d=PIECE.process(X);
	if((d!=-1)&&(d!=99)) M.T.HT.setPiece(CHOICE[d],M);

    }

    public void setPieces(int[] t) {
	CHOICE=t;
	SHOWPIECE=true;
	PIECE.count=t.length;
	PIECE.val=0;
    }



}
