import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;



/**this class lets you select the map.*/

public class HandleTestStretch {
    int X,Y; //location of control panel 
    ListenSquare I; //documentation
    SelectInteger[][] V=new SelectInteger[2][2];
    SelectInteger[] L=new SelectInteger[3];

    public HandleTestStretch(int x,int y) {
	X=x;
	Y=y;

	I=new ListenSquare(X,Y,12,12);
	V[0][0]=new SelectInteger(X+115,Y+5,30,18,1,-10,10,1);
	V[0][1]=new SelectInteger(X+170,Y+5,30,18,1,-10,10,1);
	V[1][0]=new SelectInteger(X+115,Y+45,30,18,-1,-20,20,1);
	V[1][1]=new SelectInteger(X+170,Y+45,30,18,1,-20,20,1);

	L[0]=new SelectInteger(X+10,Y+115,30,18,0,-10,10,1);
	L[1]=new SelectInteger(X+75,Y+115,30,18,1,-10,10,1);
	L[2]=new SelectInteger(X+170,Y+115,30,18,8,0,50,1);

    }

    public void render(Graphics2D g) {
	I.infoRender(g);
	g.setColor(new Color(100,0,150));
	g.fillRect(X,Y,230,140);
	g.setColor(Color.white);
	g.drawRect(X,Y,230,140);

	for(int j=0;j<2;++j) {
	    for(int i=0;i<2;++i) {
              V[j][i].render(g,Color.red,Color.white,Color.white);
	    }
	}

	for(int i=0;i<3;++i) {
          L[i].render(g,Color.red,Color.white,Color.white);
	}

	g.setFont(new Font("Helvetica",Font.PLAIN,12));
	g.setColor(Color.yellow);
	g.drawString("apply dF to",X+5,Y+15);
	g.drawString("these vectors (V).",X+5,Y+30);
	g.drawString("Set (X,Y)=dF(V).  test AX+BY>C",X+5,Y+85);
	g.drawString("A",X+22,Y+105);
	g.drawString("B",X+87,Y+105);
	g.drawString("C",X+182,Y+105);
    }

    public int process(Point X) {
	if(I.inside(X)==1) return(99);
	for(int j=0;j<2;++j) {
	  for(int i=0;i<2;++i) V[j][i].modify(X);
	}
	for(int i=0;i<3;++i) L[i].modify(X);
	return(0);
    }

    public QI2[][] getBounds() {
	QI2[][] b=new QI2[2][5];
	for(int k=0;k<2;++k) {
	  b[k][0]=new QI2(V[k][0].val,0);
	  b[k][1]=new QI2(V[k][1].val,0);

	  b[k][2]=new QI2(L[0].val,0);
	  b[k][3]=new QI2(L[1].val,0);
	  b[k][4]=new QI2(L[2].val,0);
	}
	return(b);
    }


}
